#!/bin/bash
#
#Créer par WeedFast
#Version 0.1.4
#Ce script permet de télécharger le journal 20 minutes
#Dépendances : wget, evince, nautilus-sendto, zenity, evolution
#
######################################################

### FONCTIONS ###
function annuler {
    if [ "${PIPESTATUS[0]}" != "0" ];
    then
        exit
    fi
}

date="`date +%d`-`date +%m`-`date +%y`"

### DÉBUT DU PROGRAMME ###

## Informations
zenity --info --title="Informations" --text="Ce script permet de recevoir le journal 20 minutes au format PDF.\nDépendances : wget, evince, nautilus-sendto, zenity, evolution\n Aucune publication du journal 20 minutes n'est disponible les week-end et jours fériés."
annuler

## Vérification de la connexion internet
ping google.com -c 3 | zenity --progress --text="Test de la connexion internet en cours..." --pulsate --auto-close
if [ "${PIPESTATUS[0]}" != "0" ];
then
    zenity --error --title="Erreur : Pas de connexion Internet" --text="Aucune connexion Internet n'a été détectée ou le serveur google.com ne répond pas.\nVeuillez vérifier votre connexion ou réessayer plus tard."
    exit
fi

## Choix de la ville de publication
VILLE=$(zenity --list --checklist --height=350 --width=250 \
    --title="Villes" \
    --text="Choix de la ville de publication\n       Un seul choix possible"\
    --column="" --column="" --column="Villes" \
    --hide-column=2 \
    --separator=" " \
    FALSE PAR "Paris"\
    FALSE LIL "Lille"\
    FALSE BOR "Bordeaux"\
    FALSE LYO "Lyon"\
    FALSE MAR "Marseille"\
    FALSE NAN "Nantes"\
    FALSE STR "Strasbourg"\
    FALSE TOU "Toulouse")
annuler
## Choisir un répertoire pour le téléchargement du journal
zenity --info --title="Choix du répertoire" --text="Choisir un répertoire pour le téléchargement du jounal 20 minutes daté du $date."
annuler

## Choix du répertoire
REP=$(zenity --title="Choisir un répertoire pour le télécharchement du journal" --file-selection --directory)
annuler

## Changement de répertoire
cd "$REP"

## Téléchargement du journal 20 minutes
wget http://20minutes.s3.amazonaws.com/`date +%Y``date +%m``date +%d`_$VILLE.pdf | zenity --progress --text="Téléchargement du journal 20 minutes daté du $date en cours..." --pulsate --auto-close
if [ "${PIPESTATUS[0]}" != "0" ];
then
    zenity --error --title="Erreur : Aucune publication disponible" --text="Aucune publication du journal 20 minutes n'est disponible les week-end et jours fériés."
    exit
fi

## Fin du téléchargement
zenity --info --title="Téléchargement réussi" --text="Félicitation votre journal 20 minutes est téléchargé dans le répertoire :\n $REP"/
annuler

## Choix des actions
ACTION=$(zenity --list --checklist --height=230 --width=350 \
    --title="Action" \
    --text="Action à éffectuer"\
    --column="" --column="" --column="Actions" \
    --hide-column=2 \
    --separator=" " \
    FALSE 01 "Lire 20 minutes de suite."\
    FALSE 02 "Envoyer 20 minutes par email."\
    FALSE 03 "Ouvrir le répertoire de téléchargement."\
    FALSE 04 "Ne rien faire."\ )
annuler

if echo "$ACTION" | grep "01"; then 
    evince `date +%Y``date +%m``date +%d`_$VILLE.pdf
fi
if echo "$ACTION" | grep "02"; then 
    evolution mailto:?attach=file://"$REP"/`date +%Y``date +%m``date +%d`_$VILLE.pdf
fi
if echo "$ACTION" | grep "03"; then 
    nautilus "$REP"
fi
if echo "$ACTION" | grep "04"; then 
    exit
exit

### FIN DU PROGRAMME ###
